
/* Combinator Selectors */

/* 1. Descendant Selector (Whitespace) 

div p {
	background-color: red;
}


section p {
	background-color: red;
}


body div {
	background-color: red;
}


form label {
	background-color: red;
}



body .parent p {
	background-color: pink;
}
*/


/* 2. Child Selector (>)

div > p {
	background-color: lightblue;
}

.parent > section {
	background-color: lightblue;
}

*/

/* 3. Adjacent Sibling Selector (+) 

p + p {
	background-color: lightblue;
}


div + p + p{
	background-color: coral;
}
*/

/* 4. General Sibling Selector (~) */

p ~ p {
	background-color: green;
}